Name:    kdepim-addons
Version: 16.12.3
Release: 1%{?dist}
Summary: Additional plugins for KDE PIM applications

License: GPLv2 and LGPLv2+
URL:     https://cgit.kde.org/%{name}.git/


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires:  extra-cmake-modules >= 5.23.0
BuildRequires:  kf5-rpm-macros >= 5.23.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngine)

BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5KaddressbookGrantlee)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5IncidenceEditor)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageList)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5EventViews)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5Tnef)

BuildRequires:  cmake(KF5GAPI) >= 5.1.40

#global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global majmin_ver %{version}
BuildRequires:  kdepim-apps-libs-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-notes-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-calendarsupport-devel >= %{majmin_ver}
BuildRequires:  kf5-eventviews-devel >= %{majmin_ver}
BuildRequires:  kf5-grantleetheme-devel >= %{majmin_ver}
BuildRequires:  kf5-incidenceeditor-devel >= %{majmin_ver}
BuildRequires:  kf5-ktnef-devel >= %{majmin_ver}
BuildRequires:  kf5-libgravatar-devel >= %{majmin_ver}
BuildRequires:  kf5-libkleo >= %{majmin_ver}
BuildRequires:  kf5-mailcommon-devel >= %{majmin_ver}
BuildRequires:  kf5-messagelib-devel >= %{majmin_ver}
BuildRequires:  kf5-pimcommon-devel >= %{majmin_ver}

Requires:       kf5-filesystem

Conflicts:      kdepim-common < 16.04.0

%description
%{summary}.


%prep
%autosetup -n %{name}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DKDEPIMADDONS_BUILD_EXAMPLES:BOOL=FALSE
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING COPYING.LIB
%{_kf5_sysconfdir}/xdg/kdepim-addons.*

%{_kf5_libdir}/libadblocklibprivate.so.5*

%{_kf5_qtplugindir}/plasmacalendarplugins/pimevents.so
%{_kf5_qtplugindir}/plasmacalendarplugins/pimevents/
%{_kf5_qtplugindir}/webengineviewer/webengineviewer_adblockplugin.so
%{_kf5_qtplugindir}/webengineviewer/webengineviewer_donottrackplugin.so
%{_kf5_datadir}/kconf_update/webengineurlinterceptoradblock.upd
%{_kf5_qmldir}/org/kde/plasma/PimCalendars/

# TODO: Split to per-app subpackages?
# KAddressBook
%{_kf5_libdir}/libkaddressbookimportexportlibprivate.so.*
%{_kf5_libdir}/libkaddressbookmergelibprivate.so*
%{_kf5_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so
%dir %{_kf5_qtplugindir}/kaddressbook/
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_checkgravatarplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_importexportcsvplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_importexportgmxplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_importexportldapplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_importexportldifplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_importexportvcardplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_mergecontactsplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_searchduplicatesplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_sendmailplugin.so
%{_kf5_qtplugindir}/kaddressbook/kaddressbook_sendvcardsplugin.so

# KMail
%{_kf5_bindir}/kmail_*.sh
%dir %{_kf5_qtplugindir}/kmail/
%{_kf5_qtplugindir}/kmail/kmail_autocorrectioneditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_nonbreakingspaceeditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_changecaseeditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_insertspecialcharactereditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_zoomtexteditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_antispamplugin.so
%{_kf5_qtplugindir}/kmail/kmail_antivirusplugin.so
%{_kf5_qtplugindir}/kmail/kmail_automaticaddcontactseditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_checkbeforesendeditorplugin.so
%{_kf5_qtplugindir}/kmail/kmail_confirmaddresseditorplugin.so
%{_kf5_sysconfdir}/xdg/kmail.antispamrc
%{_kf5_sysconfdir}/xdg/kmail.antivirusrc
%{_kf5_datadir}/kmail2/pics/*

# KOrganizer
%{_kf5_qtplugindir}/korg_datenums.so
%{_kf5_datadir}/kservices5/korganizer/datenums.desktop
%{_kf5_qtplugindir}/korg_hebrew.so
%{_kf5_datadir}/kservices5/korganizer/hebrew.desktop
%{_kf5_qtplugindir}/korg_picoftheday.so
%{_kf5_datadir}/kservices5/korganizer/picoftheday.desktop
%{_kf5_qtplugindir}/korg_thisdayinhistory.so
%{_kf5_datadir}/kservices5/korganizer/thisdayinhistory.desktop

# PimCommon
%dir %{_kf5_qtplugindir}/pimcommon/
%{_kf5_qtplugindir}/pimcommon/pimcommon_shorturlplugin.so
%{_kf5_libdir}/libshorturlpluginprivate.so*
%{_kf5_qtplugindir}/pimcommon/pimcommon_translatorplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_isgdshorturlengineplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_tinyurlengineplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_triopabshorturlengineplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_ur1cashorturlengineplugin.so

# BodyPartFormatter
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_application_gnupgwks.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/application_gnupgwks.desktop
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_application_mstnef.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/application_ms-tnef.desktop
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_text_vcard.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/text_vcard.desktop
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_text_xdiff.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/text_xdiff.desktop
%{_kf5_qtplugindir}/messageviewer_bodypartformatter_text_calendar.so
%{_kf5_datadir}/messageviewer/plugins/bodypartformatter/text_calendar.desktop

# MessageViewer headers
%dir %{_kf5_qtplugindir}/messageviewer/
%{_kf5_qtplugindir}/messageviewer/messageviewer_allheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_briefheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_enterpriseheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_fancyheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_grantleeheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_longheaderstyleplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_standardsheaderstyleplugin.so

# MessageViewer
%{_kf5_qtplugindir}/messageviewer/messageviewer_createeventplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_createnoteplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_createtodoplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_expandurlplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_externalscriptplugin.so
%{_kf5_qtplugindir}/messageviewer/messageviewer_translatorplugin.so

# StorageService
%{_kf5_qtplugindir}/pimcommon/pimcommon_boxplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_dropboxplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_gdriveplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_hubicplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_webdavplugin.so
%{_kf5_qtplugindir}/pimcommon/pimcommon_yousenditplugin.so


%changelog
* Thu Mar 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.3-1
- 16.12.3

* Thu Feb 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Mon Jan 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- 16.12.1

* Mon Jan 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.08.3-2
- rebuild (gpgme)

* Mon Dec 05 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.3-1
- 16.08.3

* Fri Oct 28 2016 Than Ngo <than@redhat.com> - 16.08.2-2
- don't build on ppc64/s390x as qtwebengine is not supported yet

* Thu Oct 13 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.2-1
- 16.08.2

* Thu Sep 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.1-1
- 16.08.1

* Sun Sep 04 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.08.0-1
- 16.08.0

* Sun Jul 10 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.3-1
- 16.04.3

* Sun Jun 12 2016 Rex Dieter <rdieter@fedoraproject.org> - 16.04.2-1
- 16.04.2

* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
